Professional Web Applications Themes

Upgrading FCKEditor? - Coldfusion Server Administration

I posted this in the beta forum a month ago and the answer was 'we'll probably update the version of FCKEditor in the release.' The FCKEditor version included in with CF8, 2.4.2, does not support Opera or Safari. (FCKEditor itself has issues with both of these browsers for good reason and this is not Adobe's fault by any stretch.) However, there are more current releases that do support Opera and Safari. It is important to my users that we extend our support to include these browsers. Is it possible or adviseable to update the FCKEditor code in the CF8 release?...

  1. #1

    Default Upgrading FCKEditor?

    I posted this in the beta forum a month ago and the answer was 'we'll probably
    update the version of FCKEditor in the release.'

    The FCKEditor version included in with CF8, 2.4.2, does not support Opera or
    Safari. (FCKEditor itself has issues with both of these browsers for good
    reason and this is not Adobe's fault by any stretch.) However, there are more
    current releases that do support Opera and Safari.

    It is important to my users that we extend our support to include these
    browsers. Is it possible or adviseable to update the FCKEditor code in the CF8
    release?

    Aquitaine Guest

  2. #2

    Default Re: Upgrading FCKEditor?

    Anybody?
    Aquitaine Guest

  3. #3

    Default Re: Upgrading FCKEditor?

    Are you sure CF8 ships with CF8? Just asking.
    rmorgan Guest

  4. #4

    Default Re: Upgrading FCKEditor?

    Yes, I'm quite sure it ships with FCKEditor. The "richtext=true" attribute of
    cftextarea is just FCKEditor. I'm using it on a production server.

    Of course it's not Adobe's responsibility to deal with issues like whether or
    not FCKEditor supports Safari or Opera, which is why my question is simply
    about manually upgrading the release of FCKEditor in the CF8 distribution. I
    can see where it keeps the FCKEditor code but I don't know how the CF server
    hooks into it and I don't just want to overwrite a bunch of code without
    checking first.

    Aquitaine Guest

  5. #5

    Default Re: Upgrading FCKEditor?

    Not doubting what you are saying that fckeditor is now built into cf8, but if
    there is problems using the richtext attribute, what would be wrong with not
    using the attribute and just downloading the code and using like you did in
    cf7, I still use it that way and not sure that at this point I would want it
    built into cf8 if they did not provide a means of upgrading it. I would want
    the versatility to upgrade something like this on my own. Once I get my cf8
    production running, I very seriously doubt I would use cf8's version of
    fckeditor, I will keep using it the way I am now.

    rmorgan Guest

  6. #6

    Default Re: Upgrading FCKEditor?

    I agree entirely. It'd be easy enough to install my own version of FCKEditor
    and use that. I was going to do that when we switched to CF8 and saw it was
    builtin anyway.

    I just figured I'd ask about upgrading what's in the box before installing a
    parallel version.

    Aquitaine Guest

  7. #7

    Default Re: Upgrading FCKEditor?

    one more bump. it seems dumb to go install FCKEditor parallel to CF when CF already includes it. Anybody?
    Aquitaine Guest

  8. #8

    Default Re: Upgrading FCKEditor?

    I believe an upgrade is pretty simple [trying myself this weekend]. Just
    replace the FCKEditor files with the latest download from fckeditor.com.

    Match the files/folder structure from the download to the previous install
    \CFIDE\scripts\ajax\FCKeditor\

    Make a back up first. You'll need to re-config your config files, skins,
    templates, etc. that you may have modified. Restarting CF may be needed, but
    should be good to go [clear your browser cache].

    eblip Guest

  9. #9

    Default Re: Upgrading FCKEditor?

    I tried doing that with the Beta, and no luck. Haven't tried yet on production. Let me know how it goes?
    Aquitaine Guest

  10. #10

    Default Re: Upgrading FCKEditor?

    i finally got around to updating the fckeditor. and it works awesome. there's
    no need to have access to the CFIDE/scripts folder. i was hunting for a
    solution to have custom configs/skins on a shared host, and found Rakh's
    post on the editor: http://www.rakh.net/blog/?p=22

    i placed the newest fckeditor download in my webroot and used the new basepath
    attribute in the cftextarea tag. i can now customize and skin it and keep up w/
    the latest version.

    <cftextarea name="test" id="test" value="test" height="250" width="450"
    richtext="true" basepath="/includes/fckeditor/" toolbar="customToolbar"
    toolbaronfocus="yes" skin="customAluminum"/>

    hope this helps!

    now if i could get richtext=true + flash forms...

    eblip Guest

  11. #11

    Default Re: Upgrading FCKEditor?

    Strangely enough, the upgraded build (the latest nightly) still doesn't work
    for Opera, even though if you go to fckeditor's site and test the same build,
    it does work.

    Haven't been able to get a Mac user to try it w/Safari yet. Basepath is
    definitely doing the job - IE/Firefox both report the updated build number. But
    it's just a big 'ol HTML textarea for Opera.

    Aquitaine Guest

  12. #12

    Default Re: Upgrading FCKEditor?

    Has anyone been able to get the built-in FCKEditor to work with Opera or
    Safari? I'm going to go ahead and just use the editor the regular way (outside
    of CF) but I don't understand why the standalone editor demo (of their nightly
    builds) works on the FCKEditor site but the same editor doesn't work with Opera
    or Safari on my site, even though Firefox and IE report that it is the same
    (updated) build.

    Aquitaine Guest

Similar Threads

  1. FCKEditor?
    By ClayD in forum Macromedia Dynamic HTML
    Replies: 0
    Last Post: August 7th, 07:49 PM
  2. FCKeditor
    By Jonathan in forum Macromedia Contribute General Discussion
    Replies: 0
    Last Post: January 23rd, 02:49 PM
  3. FCKeditor and php
    By Robert in forum PHP Development
    Replies: 2
    Last Post: January 12th, 04:37 PM
  4. Upgrading to IDS 9.3 / 9.4
    By tomL in forum Informix
    Replies: 0
    Last Post: October 10th, 07:02 PM
  5. upgrading from ME to XP
    By Rick \Nutcase\ Rogers in forum Windows XP/2000/ME
    Replies: 0
    Last Post: July 1st, 02:04 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139